GET
https://api.cryptohopper.com/v1/exchange/{exchange}/currencies
Returns the currencies available on an exchange, keyed by currency code, with the currency name and status flags. Returns an empty list when the exchange cannot be reached.
No access token needed.
Example request
curl "https://api.cryptohopper.com/v1/exchange/EXCHANGE/currencies" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/exchange/EXCHANGE/currencies', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/exchange/EXCHANGE/currencies",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/exchange/EXCHANGE/currencies');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
exchange |
string | Required | Exchange key as returned by Get available exchanges, for example binance or kucoin. Case insensitive. |
Response
{
"data": {
"BTC": {
"id": 1,
"name": "Bitcoin",
"txFee": "",
"minConf": "",
"depositAddress": "",
"disabled": 0,
"delisted": 0,
"frozen": 0,
"notice": null
}
}
}